<template lang="pug">
.zs-progress
  q-stepper(
    v-model="currentSection.currentSection",
    flat,
    :vertical="vertical",
    dark,
    color="primary",
    dense,
    animated,
    style="background: none; width: 1280px"
  )
    q-step(
      v-for="(item, index) in sched",
      :key="index",
      :name="index",
      :title="item.name",
      active-icon="spot",
      color="white",
      active-color="green"
    )
</template>

<script>
export default {
  name: "ProgressOverlay",
  props: {
    firebase: {
      required: true,
    },
    context: {
      required: true,
    },
  },
  computed: {
    sched() {
      if (this.schedule && this.schedule.script) return this.schedule.script;
      else
        return [
          {
            name: "Item 1 Demo",
          },
          {
            name: "Item 2 Demo",
          },
          {
            name: "Item 3 Demo",
          },
        ];
    },
    vertical() {
      // console.log(this.currentSection);
      if (
        this.currentSection.currentState &&
        this.currentSection.currentState.plugins &&
        this.currentSection.currentState.plugins.progress
      )
        return (
          this.currentSection.currentState.plugins.progress.vertical || false
        );
      else return false;
    },
  },
  data: () => {
    return {
      currentSection: {},
      schedule: {},
    };
  },
  watch: {
    firebase: {
      immediate: true,
      handler() {
        this.$rtdbBind(
          "currentSection",
          this.firebase.ref(`config/${this.context.meetingid}/current`)
        );
        this.$rtdbBind(
          "schedule",
          this.firebase.ref(
            `config/${this.context.meetingid}/schedule/schedule`
          )
        );
      },
    },
  },
};
</script>
<style lang="scss">
.zs-progress {
  position: absolute;
  bottom: -58px;
  left: -10px;
  .q-stepper__title,
  .q-stepper__dot {
    filter: drop-shadow(0 0 5px #00000088);
  }

  .q-stepper__dot {
    width: 16px;
    height: 16px;
    min-width: 16px;
  }

  .q-stepper__title {
    font-size: 10px !important;
  }
}
</style>
